Library Version 18.1.40

db_multimap
Prev | Chapter 6. Db_multimap | Next

## db_multimap

### Function Details

    db_multimap(Db *dbp=NULL,
        DbEnv *envp=NULL)

Constructor.

See class detail for handle requirement.

#### Parameters

##### dbp

The database handle.

##### envp

The database environment handle.

#### See Also

db_map::db_map(Db*, DbEnv*) db_vector::db_vector(Db*, DbEnv*)

    db_multimap(Db *dbp, DbEnv *envp, InputIterator first,
        InputIterator last)

Iteration constructor.

Iterates between first and last, setting a copy of each of the sequence of elements as the content of the container object. This function supports auto-commit. See class detail for handle requirement.

#### Parameters

##### dbp

The database handle.

##### envp

The database environment handle.

##### last

The open boundary of the range.

##### first

The closed boundary of the range.

#### See Also

db_map::db_map(Db*, DbEnv*, InputIterator, InputIterator) db_vector::db_vector(Db*, DbEnv*)

    db_multimap(const self &x)

Copy constructor.

Create an database and insert all key/data pairs in x into this container. x's data members are not copied. This function supports auto-commit.

#### Parameters

##### x

The other container to initialize this container.

#### See Also

db_container(const db_container&) db_map(const db_map&)

### Class

db_multimap

Prev | Up | Next
upper_bound | Home | ~db_multimap